Index: trunk/src/formats/assimp_loader.cc
===================================================================
--- trunk/src/formats/assimp_loader.cc	(revision 332)
+++ trunk/src/formats/assimp_loader.cc	(revision 365)
@@ -89,5 +89,5 @@
 	m_scene = nullptr;
 	m_mesh_count = 0;
-	NV_LOG( nv::LOG_NOTICE, "AssImp loading file..." );
+	NV_LOG_NOTICE( "AssImp loading file..." );
 	size_t size = source.size();
 	char* data  = new char[ size ];
@@ -97,10 +97,10 @@
 	if( !scene)
 	{
-		NV_LOG( nv::LOG_ERROR, aiGetErrorString() );
+		NV_LOG_ERROR( aiGetErrorString() );
 		return false;
 	}
 	m_scene      = scene;
 	m_mesh_count = scene->mNumMeshes;
-	NV_LOG( nv::LOG_NOTICE, "Loading successfull" );
+	NV_LOG_NOTICE( "Loading successfull" );
 	return true;
 }
@@ -213,23 +213,23 @@
 	if ( scene == nullptr ) return;
 
-	NV_LOG( nv::LOG_NOTICE, "------------------------" );
-	NV_LOG( nv::LOG_NOTICE, "Texture   count - " << scene->mNumTextures );
-	NV_LOG( nv::LOG_NOTICE, "Animation count - " << scene->mNumAnimations );
-	NV_LOG( nv::LOG_NOTICE, "Material  count - " << scene->mNumMaterials );
-	NV_LOG( nv::LOG_NOTICE, "Meshes    count - " << scene->mNumMeshes );
-	NV_LOG( nv::LOG_NOTICE, "------------------------" );
+	NV_LOG_NOTICE( "------------------------" );
+	NV_LOG_NOTICE( "Texture   count - ", scene->mNumTextures );
+	NV_LOG_NOTICE( "Animation count - ", scene->mNumAnimations );
+	NV_LOG_NOTICE( "Material  count - ", scene->mNumMaterials );
+	NV_LOG_NOTICE( "Meshes    count - ", scene->mNumMeshes );
+	NV_LOG_NOTICE( "------------------------" );
 
 	aiNode* root = scene->mRootNode;
 	if (root)
 	{
-		NV_LOG( nv::LOG_NOTICE, "Root node  - " << root->mName.data );
-		NV_LOG( nv::LOG_NOTICE, "  meshes   - " << root->mNumMeshes );
-		NV_LOG( nv::LOG_NOTICE, "  children - " << root->mNumChildren );
+		NV_LOG_NOTICE( "Root node  - ", root->mName.data );
+		NV_LOG_NOTICE( "  meshes   - ", root->mNumMeshes );
+		NV_LOG_NOTICE( "  children - ", root->mNumChildren );
 	}
 	else
 	{
-		NV_LOG( nv::LOG_NOTICE, "No root node!" );
-	}
-	NV_LOG( nv::LOG_NOTICE, "------------------------" );
+		NV_LOG_NOTICE( "No root node!" );
+	}
+	NV_LOG_NOTICE( "------------------------" );
 
 	if ( scene->mNumMeshes > 0 )
@@ -239,15 +239,15 @@
 			aiMesh* mesh = scene->mMeshes[mc];
 
-			NV_LOG( nv::LOG_NOTICE, "Mesh #"<<mc<<"   - " << std::string( mesh->mName.data ) );
-			NV_LOG( nv::LOG_NOTICE, "  bones   - " << mesh->mNumBones );
-			NV_LOG( nv::LOG_NOTICE, "  uvs     - " << mesh->mNumUVComponents[0] );
-			NV_LOG( nv::LOG_NOTICE, "  verts   - " << mesh->mNumVertices );
-			NV_LOG( nv::LOG_NOTICE, "  faces   - " << mesh->mNumFaces );
-
-			// 			NV_LOG( nv::LOG_NOTICE, "Bones:" );
+			NV_LOG_NOTICE( "Mesh #", mc, "   - ", std::string( mesh->mName.data ) );
+			NV_LOG_NOTICE( "  bones   - ", mesh->mNumBones );
+			NV_LOG_NOTICE( "  uvs     - ", mesh->mNumUVComponents[0] );
+			NV_LOG_NOTICE( "  verts   - ", mesh->mNumVertices );
+			NV_LOG_NOTICE( "  faces   - ", mesh->mNumFaces );
+
+			// 			NV_LOG_NOTICE(  "Bones:" );
 			// 			for (unsigned int m=0; m<mesh->mNumBones; m++)
 			// 			{
 			// 				aiBone* bone  = mesh->mBones[m];
-			// 				NV_LOG( nv::LOG_DEBUG, bone->mName.C_Str() );
+			// 				NV_LOG_NOTICE( bone->mName.C_Str() );
 			// 			}
 		}
@@ -255,7 +255,7 @@
 	else
 	{
-		NV_LOG( nv::LOG_NOTICE, "No meshes!" );
-	}
-	NV_LOG( nv::LOG_NOTICE, "------------------------" );
+		NV_LOG_NOTICE( "No meshes!" );
+	}
+	NV_LOG_NOTICE( "------------------------" );
 
 
@@ -270,5 +270,5 @@
 	//  			{
 	// 				texFound = scene->mMaterials[m]->GetTexture(aiTextureType_DIFFUSE, texIndex, &path);
-	// 				NV_LOG( nv::LOG_NOTICE, "  material - " << path.data );
+	// 				NV_LOG_NOTICE( "  material - ", path.data );
 	// 				texIndex++;
 	// 			}
@@ -277,7 +277,7 @@
 	// 	else
 	// 	{
-	// 		NV_LOG( nv::LOG_NOTICE, "No materials" );
+	// 		NV_LOG_NOTICE( "No materials" );
 	// 	}
-	// 	NV_LOG( nv::LOG_NOTICE, "------------------------" );
+	// 	NV_LOG_NOTICE( "------------------------" );
 
 }
